Skip to main content
`Ctrl`+`K`

# TSComputeExactError

Compute the solution error for the timestepping using the function previously set with `TSSetComputeExactError()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeExactError(TS ts, Vec u, Vec e)

Collective

## Input Parameters

- ts - time stepping context

- u - The approximate solution

- e - The `Vec` used to store the error

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetComputeInitialCondition()`, `TSSetComputeInitialCondition()`, `TSSolve()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages